searchNodes=[{"ref":"Monitor.html","title":"Monitor","type":"module","doc":"Monitor provides a simple (but hopefully -- eventually -- powerful) API for querying and monitoring the status of servers, server processes, Elixir nodes, and Elixir process"},{"ref":"Monitor.Impl.html","title":"Monitor.Impl","type":"module","doc":""},{"ref":"Monitor.Impl.html#cpu/0","title":"Monitor.Impl.cpu/0","type":"function","doc":""},{"ref":"Monitor.Impl.html#disk/0","title":"Monitor.Impl.disk/0","type":"function","doc":""},{"ref":"Monitor.Impl.html#mem/0","title":"Monitor.Impl.mem/0","type":"function","doc":""},{"ref":"Monitor.Impl.html#num_unix_procs/0","title":"Monitor.Impl.num_unix_procs/0","type":"function","doc":""},{"ref":"Monitor.Impl.html#sys_mem/0","title":"Monitor.Impl.sys_mem/0","type":"function","doc":""},{"ref":"Monitor.Server.html","title":"Monitor.Server","type":"module","doc":""},{"ref":"Monitor.Server.html#child_spec/1","title":"Monitor.Server.child_spec/1","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"Monitor.Server.html#cpu/0","title":"Monitor.Server.cpu/0","type":"function","doc":""},{"ref":"Monitor.Server.html#cpu/1","title":"Monitor.Server.cpu/1","type":"function","doc":""},{"ref":"Monitor.Server.html#disk/0","title":"Monitor.Server.disk/0","type":"function","doc":""},{"ref":"Monitor.Server.html#disk/1","title":"Monitor.Server.disk/1","type":"function","doc":""},{"ref":"Monitor.Server.html#global_monitor_name/0","title":"Monitor.Server.global_monitor_name/0","type":"function","doc":""},{"ref":"Monitor.Server.html#global_monitor_name/1","title":"Monitor.Server.global_monitor_name/1","type":"function","doc":""},{"ref":"Monitor.Server.html#handle_cast/3","title":"Monitor.Server.handle_cast/3","type":"function","doc":""},{"ref":"Monitor.Server.html#mem/0","title":"Monitor.Server.mem/0","type":"function","doc":""},{"ref":"Monitor.Server.html#mem/1","title":"Monitor.Server.mem/1","type":"function","doc":""},{"ref":"Monitor.Server.html#monitor_name/0","title":"Monitor.Server.monitor_name/0","type":"function","doc":""},{"ref":"Monitor.Server.html#monitor_pid/0","title":"Monitor.Server.monitor_pid/0","type":"function","doc":""},{"ref":"Monitor.Server.html#monitor_pid/1","title":"Monitor.Server.monitor_pid/1","type":"function","doc":""},{"ref":"Monitor.Server.html#start_link/1","title":"Monitor.Server.start_link/1","type":"function","doc":""},{"ref":"Monitor.Server.html#sys_mem/0","title":"Monitor.Server.sys_mem/0","type":"function","doc":""},{"ref":"Monitor.Server.html#sys_mem/1","title":"Monitor.Server.sys_mem/1","type":"function","doc":""},{"ref":"Monitor.Server.html#unix_procs/0","title":"Monitor.Server.unix_procs/0","type":"function","doc":""},{"ref":"Monitor.Server.html#unix_procs/1","title":"Monitor.Server.unix_procs/1","type":"function","doc":""},{"ref":"readme.html","title":"Monitor","type":"extras","doc":"Monitor Monitor provides a rudimentary (but hopefully -- eventually -- simple yet powerful) API for querying and monitoring the status of servers, server processes, Elixir nodes, and Elixir processes. The Monitor runs as a supervised GenServer, so if it crashes, it should get automatically restarted and its new PID associated with its :global name, which looks something like {Monitor.Server, :&quot;node@server&quot;}."},{"ref":"readme.html#usage","title":"Monitor - Usage","type":"extras","doc":"To start up one or more Elixir nodes running Monitor: iex --name &quot;m1@127.0.0.1&quot; -S mix When the node starts up, it will start a Monitor.Server instance on the node and output a message like: &quot;Starting a Monitor.Server on node :\\&quot;m1@127.0.0.1\\&quot; with PID #PID&lt;0.182.0&gt; and name {:global, {Monitor.Server, :\\&quot;m1@127.0.0.1\\&quot;}}&quot; Finding the server&#39;s :global name &amp; PID To find the PID of the Monitor.Server on the local node: {Monitor.Server, node()} |&gt; :global.whereis_name() or Monitor.Server.monitor_pid() To find the PID of the Monitor.Server on a named node: {Monitor.Server, :&quot;m2@127.0.0.1&quot;} |&gt; :global.whereis_name() or :&quot;m2@127.0.0.1&quot; |&gt; Monitor.Server.monitor_pid() Memory usage To look up the current node&#39;s memory usage: Monitor.Server.mem To look up a specific node&#39;s memory usage: node() |&gt; Monitor.Server.monitor_pid |&gt; Monitor.Server.mem This should return output like: %{ allocated: 22520721408, pct_used: 67.07508261746172, total: 33575391232, worst_pid: {#PID&lt;0.195.0&gt;, 372624} } System memory usage To look up the current node&#39;s system memory usage: Monitor.Server.sys_mem To look up a specific node&#39;s system memory usage: node() |&gt; Monitor.Server.monitor_pid |&gt; Monitor.Server.sys_mem This should return output like: %{ buffered_memory: 1577607168, cached_memory: 9958359040, free_memory: 11125661696, free_swap: 0, pct_free: 33.1363575754744, pct_used: 66.86364242452561, system_pct_free: 33.1363575754744, system_total_memory: 33575391232, total_memory: 33575391232, total_swap: 0 } Disk usage To look up the current node&#39;s disk usage: Monitor.Server.disk To look up a specific node&#39;s disk usage: node() |&gt; Monitor.Server.monitor_pid |&gt; Monitor.Server.disk This should return output like: [ %{disk_id: &quot;/dev&quot;, pct_used: 0.0, total_kbytes: 16363208}, %{disk_id: &quot;/run&quot;, pct_used: 1.0, total_kbytes: 3278848}, %{disk_id: &quot;/&quot;, pct_used: 88.0, total_kbytes: 980675660}, ... ] CPU usage To look up the current node&#39;s CPU usage: Monitor.Server.cpu To look up a specific node&#39;s CPU usage: node() |&gt; Monitor.Server.monitor_pid |&gt; Monitor.Server.cpu This should return output like: %{ cpu_rup_load_15_mins: 0.890625, cpu_rup_load_1_min: 1.0390625, cpu_rup_load_5_mins: 0.7890625, cpu_usage_pct: 27.03737166435444 } Unix processes To look up the current node&#39;s number of Unix processes: Monitor.Server.unix_procs To look up a specific node&#39;s number of Unix processes: node() |&gt; Monitor.Server.monitor_pid |&gt; Monitor.Server.unix_procs This should return output like: %{num_unix_procs: 2399}"},{"ref":"readme.html#installation","title":"Monitor - Installation","type":"extras","doc":"If available in Hex, the package can be installed by adding monitor to your list of dependencies in mix.exs: def deps do [ {:monitor, &quot;~&gt; 0.1.1&quot;} ] end Documentation can be generated with ExDoc and published on HexDocs. Once published, the docs can be found at https://hexdocs.pm/monitor."}]